/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_ANDAR                                           	      */
/* Tabela : ANDAR                                                             */
/*                                                                            */
/*                                                                            */
/*                                                                 	         */
/* Converso:                                                                 */
/* 02/02/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/
IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ANDAR'  and
            type = 'TR'                  and
            u.uid = o.uid                and
            u.name = USER)
  DROP TRIGGER DTULTATU_ANDAR
  GO


CREATE TRIGGER DTULTATU_ANDAR
ON ANDAR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'ANDAR', CDFILIAL, 'CDANDAR='+ CDANDAR +'; CDFILIAL='+ CDFILIAL +';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ANDAR
      SET DTULTATUANDA = GETDATE()
      FROM INSERTED
      WHERE
         (ANDAR.CDANDAR  = INSERTED.CDANDAR ) AND
         (ANDAR.CDFILIAL = INSERTED.CDFILIAL)
   END;
END;
GO



